package cn.com.qmth.stmms.ms.commons.config;

import org.assertj.core.internal.Strings;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Random;
import java.util.UUID;

/**
 * 系统配置
 * Created by zhengmin on 2016/11/18.
 */
@Component
@ConfigurationProperties(prefix = "sys.config")
public class SystemConfig {

    @Autowired
    private ImageServerConfig imageServerConfig;

    /**
     * 原图目录
     */
    private String imageDir;

    /**
     * 缩略图目录
     */
    private String thumbDir;

    public String getImageDir() {
        return imageDir;
    }

    public void setImageDir(String imageDir) {
        this.imageDir = imageDir;
    }

    public String getThumbDir() {
        return thumbDir;
    }

    public void setThumbDir(String thumbDir) {
        this.thumbDir = thumbDir;
    }

    public String getThumbUrl(Long workId, String subject, String areaCode, String examNumber){
        return imageServerConfig.getImageServer() + "/thumbs/" + String.valueOf(workId) + "/"
                + subject + "/" + areaCode + "/" + examNumber + ".jpg?random=" + UUID.randomUUID().toString();
    }

    public String getImageUrl(Long workId,String subject,String areaCode,String examNumber){
        return imageServerConfig.getImageServer() + "/images/" + String.valueOf(workId) + "/"
                + subject + "/" + areaCode + "/" + examNumber + ".jpg?random=" + UUID.randomUUID().toString();
    }

}
